state_MEL_enc Class Reference

`#include <ht_block_encoding.hpp>`

## Public Member Functions

| state_MEL_enc (uint8_t *p)
void | encodeMEL (uint8_t smel)
void | termMEL ()

## Private Member Functions

void | emitMELbit (uint8_t bit)

## Private Attributes

int8_t | MEL_k
uint8_t | MEL_run
const uint8_t | MEL_E [13]
uint8_t | MEL_t
int32_t | pos
uint8_t | rem
uint8_t | tmp
uint8_t *const | buf

## Friends

int32_t | termMELandVLC (state_VLC_enc &, state_MEL_enc &)

## Constructor & Destructor Documentation

## state_MEL_enc()

state_MEL_enc::state_MEL_enc | ( | uint8_t * | p | ) |

inline explicit

## Member Function Documentation

## emitMELbit()

void state_MEL_enc::emitMELbit | ( | uint8_t | bit | ) |

private

References buf, pos, rem, and tmp.

Referenced by encodeMEL(), and termMEL().

## encodeMEL()

void state_MEL_enc::encodeMEL | ( | uint8_t | smel | ) |

References emitMELbit(), MEL_E, MEL_k, MEL_run, and MEL_t.

Referenced by htj2k_encode().

## termMEL()

void state_MEL_enc::termMEL | ( |  | ) |

References emitMELbit(), and MEL_run.

Referenced by htj2k_encode().

## Friends And Related Symbol Documentation

## termMELandVLC

int32_t termMELandVLC | ( | state_VLC_enc & | VLC,
|  | state_MEL_enc & | MEL
| ) |  |

friend

## Member Data Documentation

## buf

uint8_t* const state_MEL_enc::buf

private

Referenced by emitMELbit().

## MEL_E

const uint8_t state_MEL_enc::MEL_E[13]

private

Referenced by encodeMEL().

## MEL_k

int8_t state_MEL_enc::MEL_k

private

Referenced by encodeMEL().

## MEL_run

uint8_t state_MEL_enc::MEL_run

private

Referenced by encodeMEL(), and termMEL().

## MEL_t

uint8_t state_MEL_enc::MEL_t

private

Referenced by encodeMEL().

## pos

int32_t state_MEL_enc::pos

private

Referenced by emitMELbit().

## rem

uint8_t state_MEL_enc::rem

private

Referenced by emitMELbit().

## tmp

uint8_t state_MEL_enc::tmp

private

Referenced by emitMELbit().

The documentation for this class was generated from the following files:

- ht_block_encoding.hpp
- ht_block_encoding.cpp